using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.PF
{
    [Description("转办记录表")]
    public partial class T_PF_COMPLAINT_LOG: MesEntityBase
    {
        [DataFieldForeignKey("Nav_ApproveDetails")]
        [Description("细表ID")]
        public Guid APPROVE_DETAIL_ID { get; set; }
        [DataFieldForeignKey("Nav_ApproveUser")]
        [Description("转办用户")]
        public Guid COMPLAINT_USER_ID { get; set; }
        [Description("导航：审批细表")]
        public T_PF_APPROVE_DETAIL Nav_ApproveDetails { get; set; }

        [Description("导航：转办用户")]
        public T_FM_USER Nav_ApproveUser { get; set; }
    }
}
